<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{A9C57471-EE98-469A-8E28-88477E296E98}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>RFTesterBackend</RootNamespace>
    <AssemblyName>RFTesterBackend</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AbstractDao.cs" />
    <Compile Include="DisplayGenerators\SOMDisplayGenerator.cs" />
    <Compile Include="DisplayGenerators\TopNDisplayGenerator.cs" />
    <Compile Include="Evaluator\EvaluationTarget.cs" />
    <Compile Include="Evaluator\Json\JsonEvaluationProcess.cs" />
    <Compile Include="Initializers\AbstractInitializer.cs" />
    <Compile Include="Initializers\IInitializer.cs" />
    <Compile Include="Initializers\UniformInitializer.cs" />
    <Compile Include="Initializers\W2VVInitializer.cs" />
    <Compile Include="KeywordFilters\W2vvFilter.cs" />
    <Compile Include="Rankers\AbstractRanker.cs" />
    <Compile Include="Rankers\BayesianIndepRanker.cs" />
    <Compile Include="ResourceManagers\DisplayPrinter.cs" />
    <Compile Include="ResourceManagers\QueryEmbeddings.cs" />
    <Compile Include="ResourceManagers\RandomSampleDLLWrapper.cs" />
    <Compile Include="ResourceManagers\SOMWrapper.cs" />
    <Compile Include="Evaluator\EvaluationAnalytics.cs" />
    <Compile Include="Evaluator\EvaluationProcessFactory.cs" />
    <Compile Include="Evaluator\IEvaluationClassPar.cs" />
    <Compile Include="Evaluator\EvaluationDao.cs" />
    <Compile Include="ResourceManagers\Configuration.cs" />
    <Compile Include="DisplayGenerators\IDisplayGenerator.cs" />
    <Compile Include="DisplayGenerators\RandomSampleGenerator.cs" />
    <Compile Include="Evaluator\EvaluationClass.cs" />
    <Compile Include="Evaluator\EvaluationProcess.cs" />
    <Compile Include="Evaluator\EvaluationTask.cs" />
    <Compile Include="Evaluator\EvaluationTaskResult.cs" />
    <Compile Include="Evaluator\EvaluatorEngine.cs" />
    <Compile Include="ResourceManagers\Features.cs" />
    <Compile Include="ResourceManagers\ImplementationsManager.cs" />
    <Compile Include="SimulatedUsers\RandomSampleUser.cs" />
    <Compile Include="Evaluator\EvaluationClassParAdditional.cs" />
    <Compile Include="ResourceManagers\SourceState.cs" />
    <Compile Include="ResourceManagers\VideoData.cs" />
    <Compile Include="Measurers\CosineMeasurer.cs" />
    <Compile Include="Measurers\IMeasurer.cs" />
    <Compile Include="Rankers\IRanker.cs" />
    <Compile Include="SecureRandom.cs" />
    <Compile Include="SimulatedUsers\SimpleIdealUser.cs" />
    <Compile Include="SimulatedUsers\IUser.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Reference Include="log4net, Version=2.0.8.0, Culture=neutral, PublicKeyToken=669e0ddf0bb1aa2a, processorArchitecture=MSIL">
      <HintPath>..\packages\log4net.2.0.8\lib\net45-full\log4net.dll</HintPath>
    </Reference>
    <Reference Include="MathNet.Numerics, Version=4.11.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\MathNet.Numerics.4.11.0\lib\net461\MathNet.Numerics.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.12.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Drawing.Common.4.7.0\lib\net461\System.Drawing.Common.dll</HintPath>
    </Reference>
    <Reference Include="System.Numerics" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Web.Extensions" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.6.1">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.6.1 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>